package com.saye.hospitalgd.commons.excel;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.sql.SQLException;
import java.util.List;

public interface IExport {
	
	
	/**
	 * 设置转换对象
	 * @param conversion
	 */
	public void setConversion(IConversionByExport conversion);
	

	/**
	 * 设置数据数据
	 * @param dataList
	 * @throws SQLException 
	 */
	public void setData(List<Object> dataList);
	
	
	/**
	 * 在表格尾部追加数据，主要用于统计数据
	 */
	public void appendStatisticRow(Object statisticData);

	/**
	 * 以下载形式导出
	 * @param response
	 * @throws IOException
	 */
	public void returnClientDownload(HttpServletResponse response)
			throws IOException;

	/**
	 * 以打开方式导出
	 * @param response
	 */
	public void returnClientOpen(HttpServletResponse response)
	 		throws IOException;
	
	/**
	 * 后台生成EXCEL文件
	 * @param exportFilePath
	 * @throws IOException
	 */
	public void execGenerateExcel(String exportFilePath) throws IOException;
	
}